2009-02-10 10:18:12     Xenomai 2.4.6.1 patch for 2008R1 branch

Document created by Aaronwu Employee on Aug 13, 2013
Version 1Show Document
  • View in full screen mode

2009-02-10 10:18:12     Xenomai 2.4.6.1 patch for 2008R1 branch

Michael McTernan (UNITED KINGDOM)

Message: 69204   

 

Hi,

 

I want to update to Xenomai 2.4.6.1 so that any things I find can be of interest/use to the Xenomai guys.

 

Does anyone have a working Adeos/ipipe patch for the top of the 2008R1 (non-SMP) branch for Xenomai 2.4.6.1?

 

Regards,

 

Mike

QuoteReplyEditDelete

 

 

2009-02-10 10:47:59     Re: Xenomai 2.4.6.1 patch for 2008R1 branch

Yi Li (CHINA)

Message: 69205   

 

Michael,

 

I am not sure Xenomai-2.4.6.1 can work on 2008R1.5. You can dowload and use the existing ipipe patch in 2008R1.5 and have a try.

 

I will also check in latest Xenomai 2.4.x branch to the blackfin uclinux-dist SVN trunk. Since the Xenomai maintainer Philippe just updated the ipipe patch for bfin linux svn trunk, we can use the latest Xenomai, which is for linux-2.6.28.

 

-Yi

QuoteReplyEditDelete

 

 

2009-02-10 11:57:59     Re: Xenomai 2.4.6.1 patch for 2008R1 branch

Michael McTernan (UNITED KINGDOM)

Message: 69210   

 

Hi,

 

The Xenomai guys pointed me at this patch, and it applies to the 2008R1 branch and builds and boots:

 

download.gna.org/adeos/patches/v2.6/blackfin/adeos-ipipe-2008R1.5-RC3-bf5xx-1.8-00.patch

 

My hello world RT task test seems to work, and the previous problem I was seeing with GPIO based IRQs not being acknowledged (for a non-Xenomai task) seems fixed.

 

What would you suspect are the risks of using this patch + Xenomai 2.4.6.1 on the 2008R1 branch, other than it not being well tested?

 

Regards,

 

Mike

QuoteReplyEditDelete

 

 

2009-02-10 20:48:20     Re: Xenomai 2.4.6.1 patch for 2008R1 branch

Yi Li (CHINA)

Message: 69229   

 

Michael,

 

We did not do any change in stable xenomai release when putting xenomai into uclinux-dist. And the test cases we used are those included in xenomai package. So I would suggest to use Xenomai-2.4.6.1 if it works for 2008R1.5. Any bugs, you may report here or report to the xenomai list.

 

-Yi

Attachments

    Outcomes